Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

ezpoll/user/datasupplier.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: datasupplier.php 8732 2001-12-11 16:29:42Z br $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 $ini =& eZINI::instance( 'site.ini' );
28 $GlobalSectionID = $ini->variable( "eZPollMain", "DefaultSection" );
29
30 switch ( $url_array[2] )
31 {
32 case "polls" :
33 {
34 include( "kernel/ezpoll/user/pollist.php" );
35 }
36 break;
37
38 case "vote" :
39 {
40 $PollID = $url_array[3];
41 if ( isset( $url_array[4] ) )
42 $ChoiceID = $url_array[4];
43 include( "kernel/ezpoll/user/vote.php" );
44 }
45 break;
46
47 case "result" :
48 {
49 $PollID = $url_array[3];
50 if ( isset( $url_array[4] ) )
51 {
52 $Show = $url_array[4];
53 }
54 include( "kernel/ezpoll/user/result.php" );
55
56 $poll = new eZPoll( $PollID );
57 if ( $poll->get( $PollID ) )
58 {
59 $forum = $poll->forum();
60 $ForumID = $forum->id();
61 $RedirectURL = $_SERVER['REQUEST_URI'];
62 include( "kernel/ezforum/user/messagesimplelist.php" );
63 }
64 }
65 break;
66
67 case "votebox" :
68 {
69 $PollID = $url_array[3];
70 include( "kernel/ezpoll/user/votebox.php" );
71 }
72 break;
73 case "votepage" :
74 {
75 $PollID = $url_array[3];
76 include( "kernel/ezpoll/user/votepage.php" );
77 }
78 break;
79
80 case "userlogin" :
81 {
82 $VoteID = $url_array[4];
83 include( "kernel/ezpoll/user/userlogin.php" );
84 }
85 break;
86
87 case "test":
88 {
89 include( "kernel/ezcontact/test.php" );
90 }
91
92 }
93
94 ?>
$forum
$forum
Definition: admin/forumlist.php:50
$poll
$poll
Definition: admin/pollist.php:114
eZPoll
Definition: ezpoll.php:64
$url_array
$url_array
Definition: ezaddress/admin/datasupplier.php:34
$RedirectURL
$RedirectURL
Definition: ezforum/user/userlogin.php:91
$GlobalSectionID
$GlobalSectionID
Definition: ezpoll/user/datasupplier.php:28
$ini
$ini
Definition: ezpoll/user/datasupplier.php:27
$ChoiceID
$ChoiceID
Definition: ezresponsebool.php:186
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.